This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 747718 - Latest SOA plugins have invalid plugin versions
Latest SOA plugins have invalid plugin versions
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.2
Unspecified Unspecified
urgent Severity unspecified (vote)
: ---
: ---
Assigned To: Len DiMaggio
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-20 16:30 EDT by Charles Crouch
Modified: 2015-02-01 18:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 05:00:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-3509 Blocker Closed Latest SOA plugins have invalid plugin versions 2013-09-04 04:59:39 EDT

  None (edit)
Description Charles Crouch 2011-10-20 16:30:01 EDT
If you open the META-INF/rhq-plugin.xml files inside the latest SOA plugins

soa-p-5.2.0.ER5-rhq-jbossesb-plugin-as4.jar
soa-p-5.2.0.ER5-rhq-jbossesb-plugin-as5.jar

You will see the version property specified in the plugin descriptor is "SOA-5.2.0". This does not match the OSGI versioning scheme we use for plugin versions, described here: http://www.osgi.org/javadoc/r4v43/org/osgi/framework/Version.html#Version%28java.lang.String%29

The consequence of this invalid plugin version is that it breaks version comparisons, e.g. if you compare "2.0.0"  with "SOA-5.2.0" then "2.0.0" will be determined to be greater, i.e. the more recent version

The solution is to drop the "SOA-" portion from the version string.


Going forward we're planning to make our plugin deployment rules tighter so you won't even be able to deploy plugins with bad versions strings. This is covered in  https://bugzilla.redhat.com/show_bug.cgi?id=747702
Comment 1 Julian Coleman 2011-10-21 13:03:06 EDT
Resolved with revision 658 of:

  repos/mead/patches/org.jboss.jbossesb-jbosssoa/branches/esb-4.10

Commit message:

  SOA-3509
  BZ#747718
  Remove the "SOA-" prefix from the ESB JON plugin version.
Comment 2 Heiko W. Rupp 2013-09-04 05:00:06 EDT
Closing as outdated.

Note You need to log in before you can comment on or make changes to this bug.